Skip to main content
POST
Create a payment

Authorizations

Authorization
string
header
required

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Body

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

operation_date
string<date-time>
required
record
string<uuid>
required
total
string<decimal>
required
Pattern: ^-?\d{0,14}(?:\.\d{0,6})?$
operation
string<uuid>
required
branch_office
string<uuid>
required
payment
string<uuid>
required
custom_fields
unknown
operation_number
integer
default:0
Required range: 0 <= x <= 2147483647
description
string | null
operation_status
enum<string>
  • PR - Provisional
  • CO - Complete
  • ER - Error
Available options:
PR,
CO,
ER
status_description
string | null
payment_status
enum<string>
  • GE - Generated
  • BF - Bank File Generated
  • CO - Confirmed
  • BD - Bank Deposit
Available options:
GE,
BF,
CO,
BD
market_exchange_rate
string<uuid> | null

Response

201 - application/json
message
string
required

Human-readable outcome of the request.

error
boolean
required

true when the request failed.

Example:

false

data
object
required

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.